
package com.zhentao.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 用户登录
 * 
 * @author stevenlaw
 * @version 1.0 2021-05-25
 */

@Data
@Accessors(chain = true)
public class UserLoginVo implements Serializable {

    private String token;
    @JsonSerialize(using= ToStringSerializer.class)
    private Long userId;

    private String openId;

    private String unionId;

    private String sessionPwd;
    /**
     * 推手ID
     */
    private String spUserId;
    /**
     * 推手绑定到期日
     */
    private String spExpTime;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 个性签名
     */
    private String userIntro;
    /**
     * 头像图片
     */
    private String avatar;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 用户状态
     */
    private Integer userStatus;
    /**
     * 累计消费金额
     */
    private BigDecimal totalCostAmt;
    /**
     * 最后登录时间
     */
    private Date lastLoginTime;
    /**
     * 乐观锁
     */
    private String revision;
//    /**
//     * 创建人
//     */
//    private String createdBy;
//    /**
//     * 创建时间
//     */
//    private Date createdTime;
//    /**
//     * 更新人
//     */
//    private String updatedBy;
//    /**
//     * 更新时间
//     */
//    private Date updatedTime;

     //private List<BtmAddressEntity> addressList;
    private String birthDay;
    @TableField(exist = false)
    private Integer isNewUser=0;

   // private BtbMiniAdverts href;


}